Considering GNOME 3.12 as an F20 update

Rex Dieter rdieter at math.unl.edu
Fri Apr 4 03:34:47 UTC 2014


Matthias Clasen wrote:
 
> so the time has come to consider this - thanks to the great work of
> Richard and Kalev on the copr, we have a set of 3.12 packages that have
> already received fairly wide testing.

I'll share here what I mentioned on desktop list...

The gnome-3.12 copr includes a couple of low-level package updates that 
change abi/api that affects other desktops, notably:
upower-0.99
PackageKit-0.9.x

Are these 2 required by gnome-3.12 or would it be possible to use the 
(current) f20 versions?  

If required, then some extra work will be required (particularly for upower) 
to minimize the chances of breakage outside of gnome.

One example, I'm not entirely sure if cinnamon-settings-daemon is fully 
ready yet, see also
https://bugzilla.redhat.com/show_bug.cgi?id=1048276

-- Rex




More information about the devel mailing list